Page MenuHomePhabricator

Featured Projects related to Wikimedia Cloud Services and/or Technical Operations?
Closed, DeclinedPublic

Description

The meeting at the Universitat Autònoma de Barcelona last Friday went relatively well. However, several teachers initially interested in Wikimedia related final career projects came from DevOps / Infrastructure areas, and they found no suitable proposals.

Question to cloud-services-team: do you think you can offer Featured Projects?

The UAB would need a Yes/No answer relatively quick, pointing to a list of potential projects. If a teacher is interested in adopting any of them, then you could work the details of the project directly and there would be a bit more time for that. The next round of final career projects starts in September, and students are looking for projects as we speak.

PS: Also, for what you know about Technical Operations, do you think that any Featured Project could come from them? (Quim would rather tests this still fresh idea of Featured Projects with Cloud first, before jumping to Ops).

PS: This task needs an owner. Andre, Srishti or Nick could be good candidates for different reasons. Can you decide, please?

Event Timeline

Qgil created this task.Jul 11 2017, 8:35 AM

The difficulty the cloud-services-team would have in offering a devops/infrastructure track for newcomers would be making the intro tasks small and well defined enough and finding the resources for proper mentoring. Much of our devops backlog tends to be complicated projects or things needing deep research. I'll bring it up with the team however and see if we can come up with any ideas. We are definitely interested in being more involved in mentoring projects, but we have been discussing things like GSOC/Outreachy internships that are more targeted and focused.

There may be some opportunities coming up in the work that Operations will be doing to prepare for a Puppet4 upgrade, but it would really depend on mentor availability and the repeatability of tasks.

Qgil added a comment.EditedJul 11 2017, 5:07 PM

Note that here we are talking specifically about projects done by Computer Science / Engineering students in their last year, working 4-5 months on a final career project. These students might be newcomers to Wikimedia, but not to programming and perhaps familiar with several pieces of our infrastructure / stack.

Note that here we are talking specifically about projects done by Computer Science / Engineering students in their last year, working 4-5 on a final career project. These students might be newcomers to Wikimedia, but not to programming and perhaps familiar with several pieces of our infrastructure / stack.

4-5 hours/days/weeks?

Qgil added a comment.Jul 11 2017, 8:18 PM

(edited)

4-5 months. Note that these are not full time internships as in GSoC/Outreachy. They would be still studying while competing these projects (@Mariusmm @Toniher please correct me if I'm wrong).

From what I understood from the different meetings last Friday, they consider TFG to imply around 300 hours of work. http://www.uab.cat/web/estudiar/llistat-de-graus/pla-d-estudis/treball-de-fi-de-grau/x-1345468416862.html?param1=1263367146646

300hrs is probably about 2/3 of the time estimate for a GSoC/Outreachy internship. The rule of thumb that I've heard before for sizing those projects is 3 months of new volunteer time is roughly equal to 3 weeks of mid-level engineer time. So for this I'd guess we would be shooting for something that feels like a 2 week/80 hour project. Based on past experience I would roughly estimate mentoring for that at 80-120hrs over the 4-5 month period.

Qgil assigned this task to Aklapper.Jul 14 2017, 2:41 PM
Qgil lowered the priority of this task from High to Low.
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Jul-Sep 2017) board.

Alright, it looks like this task is not simple and there are no clear candidates to be selected immediately. Good, no problem.

Still, I think the question is still relevant and worth investigating in the context of Wikimania, the next Outreachy round, the next round of UAB's final career projects starting in January (with students and teachers starting the search for projects lot earlier than that...)

@Aklapper since you own Featured Projects I am assigning this task to you initially, since as of now it is committed to this quarter. If you disagree with any of this, feel free to act accordingly. :)

Qgil added a comment.Sep 19 2017, 9:30 AM

Well, somehow it looks like this is not going to happen? Or am I being too pessimistic / premature?

I'll bring it up with the team however and see if we can come up with any ideas. We are definitely interested in being more involved in mentoring projects, but we have been discussing things like GSOC/Outreachy internships that are more targeted and focused.

@bd808: Wondering if there was any outcome? If not and if the WMCS crew cannot cut down smaller tasks in a suitable project, I'd propose to decline this task.

@bd808: Wondering if there was any outcome? If not and if the WMCS crew cannot cut down smaller tasks in a suitable project, I'd propose to decline this task.

The cloud-services-team has interest, but currently does not have the capacity to do the task decomposition and mentoring that would be required to offer a standing Featured Project. We have posted an Outreachy project as an initial experiment in directed volunteer collaboration. I would certainly like to revisit the idea of a Featured Project in the future.

The initial subject here mentions Operations as well, but I don't see that they were ever looped into the discussion.

Aklapper closed this task as Declined.Sep 26 2017, 9:42 AM

Makes sense. Thanks for the explanation!